Bug 135603 - CRASH: Renaming item in customize treewiew
Summary: CRASH: Renaming item in customize treewiew
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-08-10 10:23 UTC by Xisco Faulí
Modified: 2020-08-11 09:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-08-10 10:23:07 UTC
Steps to reproduce:
1. Open Writer
2. Tools - Customize, 'Menus' tab
3. Right click on any item on the right treewiew - Rename
4. Click OK or choose a different name

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-08-10 10:24:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cd384e2d31f74223948ea70d8aa3c318d3ceeb50

author	Caolán McNamara <caolanm@redhat.com>	2020-06-05 16:11:39 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-06-08 20:21:35 +0200
commit	cd384e2d31f74223948ea70d8aa3c318d3ceeb50 (patch)
tree	49ae5191c2bd4b13c3cd547951933fbc37cda0fa
parent	c3669c8bd62ecf5eaa6b5e95289825bc11b2688a (diff)
rework treeview initial toggle button col to be like expander col

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2020-08-10 12:45:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f6e9feb5bf7d227b33fe9cd4e61720d6205e5143

Resolves: tdf#135603 crash on rename item in customize dialog

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-08-11 09:21:38 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 0de191e1d201d691c2196cf1aef412a98affb66f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!